Bug 124673 - USB 2.0 flash-stick devices are not working with Fedora
USB 2.0 flash-stick devices are not working with Fedora
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
2
All Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-05-28 09:34 EDT by Dimitry
Modified: 2015-01-04 17:06 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-04-16 00:01:30 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dimitry 2004-05-28 09:34:32 EDT
Description of problem: 
 
Fedore Core (both 1 and 2, standard installations) doesn't seam to 
fork with USB 2.0 flash devices. I have a Transcent 128Mb flash stick 
and it works perfectly on Mac and Windows. 
 
When I plug it in I see the following in the /var/log/messages: 
----------------------------------------- 
May 26 16:20:36 dim kernel: usb 1-1: new full speed USB device using 
address 6 
May 26 16:20:36 dim kernel: scsi4 : SCSI emulation for USB Mass 
Storage devices 
May 26 16:20:36 dim kernel:   Vendor: JetFlash  Model: TS128MJF2B        
Rev: 2.00 
May 26 16:20:36 dim kernel:   Type:   Direct-Access                      
ANSI SCSI revision: 02 
May 26 16:20:36 dim kernel: SCSI device sda: 256000 512-byte hdwr 
sectors (131 MB) 
May 26 16:20:36 dim kernel: sda: assuming Write Enabled 
May 26 16:20:36 dim kernel: sda: assuming drive cache: write through 
May 26 16:20:36 dim kernel:  sda: sda1 sda2 sda3 sda4 
May 26 16:20:36 dim kernel: Attached scsi removable disk sda at 
scsi4, channel 0, id 0, lun 0 
May 26 16:20:36 dim scsi.agent[2262]: disk 
at /devices/pci0000:00/0000:00:07.2/usb1/1-1/1-1:1.0/host4/4:0:0:0 
May 26 16:22:20 dim kernel: Buffer I/O error on device sda1, logical 
block 0 
May 26 16:22:20 dim kernel: Buffer I/O error on device sda1, logical 
block 1 
May 26 16:22:20 dim kernel: Buffer I/O error on device sda1, logical 
block 2 
May 26 16:22:20 dim kernel: Buffer I/O error on device sda1, logical 
block 3 
May 26 16:22:20 dim kernel: Buffer I/O error on device sda1, logical 
block 4 
----------------------------------------------- 
 
Also the /mnt/flash directory is being created automatically and it's 
empty. 
I've experimented several days trying to get it work. I've tried 
mounting the devices like /dev/sda1, sda2, 3.., sdb1, ...,  etc. It's 
just says  
/dev/sda1: Input/output error 
mount: /dev/sda1: can't read superblock 
 
 
Version-Release number of selected component (if applicable): 
 
 
How reproducible: 
Just try to use several different USB 2.0 flash-sticks devices (these 
things are quite popular today, you know). It's very, very pity that 
linux is again several steps behind Windows, which works with USB 
flash devices without ANY problems. 
 
Steps to Reproduce: 
1. 
2. 
3. 
   
Actual results: 
USB 2.0 flash-stick devices are not working with Fedora. 
 
Expected results: 
USB 2.0 flash-sticks to work without any tricks, known only to linux 
gurus. 
 
Additional info:
Comment 1 Dimitry 2004-05-28 16:09:09 EDT
Fedore Core (both 1 and 2, standard installations) doesn't seam to 
fork with USB 2.0 flash devices. I have a Transcent 128Mb flash stick 
and it works perfectly on Mac and Windows. 
 
When I plug it in I see the following in the /var/log/messages: 
----------------------------------------- 
May 26 16:20:36 dim kernel: usb 1-1: new full speed USB device using 
address 6 
May 26 16:20:36 dim kernel: scsi4 : SCSI emulation for USB Mass 
Storage devices 
May 26 16:20:36 dim kernel:   Vendor: JetFlash  Model: 
TS128MJF2B        
Rev: 2.00 
May 26 16:20:36 dim kernel:   Type:   Direct-
Access                      
ANSI SCSI revision: 02 
May 26 16:20:36 dim kernel: SCSI device sda: 256000 512-byte hdwr 
sectors (131 MB) 
May 26 16:20:36 dim kernel: sda: assuming Write Enabled 
May 26 16:20:36 dim kernel: sda: assuming drive cache: write through 
May 26 16:20:36 dim kernel:  sda: sda1 sda2 sda3 sda4 
May 26 16:20:36 dim kernel: Attached scsi removable disk sda at 
scsi4, channel 0, id 0, lun 0 
May 26 16:20:36 dim scsi.agent[2262]: disk 
at /devices/pci0000:00/0000:00:07.2/usb1/1-1/1-1:1.0/host4/4:0:0:0 
May 26 16:22:20 dim kernel: Buffer I/O error on device sda1, logical 
block 0 
May 26 16:22:20 dim kernel: Buffer I/O error on device sda1, logical 
block 1 
May 26 16:22:20 dim kernel: Buffer I/O error on device sda1, logical 
block 2 
May 26 16:22:20 dim kernel: Buffer I/O error on device sda1, logical 
block 3 
May 26 16:22:20 dim kernel: Buffer I/O error on device sda1, logical 
block 4 
----------------------------------------------- 
 
Also the /mnt/flash directory is being created automatically and it's 
empty. 
I've experimented several days trying to get it work. I've tried 
mounting the devices like /dev/sda1, sda2, 3.., sdb1, ...,  etc. It's 
just says  
/dev/sda1: Input/output error 
mount: /dev/sda1: can't read superblock 
Comment 2 Dimitry 2004-06-10 02:54:35 EDT
I've finally found the ability to mount the device manually:
mount /dev/sda /mnt/flash

HOWEVER : It is still not understood WHY the Transcend device with 
chip TS128MJF2A inside is autodetected and automounted as /dev/sda1 
BUT device with chip TS128MJF2B inside couldn't mount automatically, 
(should be mounted manually as /dev/sda).

Could someone please explain the difference between those two devices?
Comment 3 Sven Neuhaus 2004-06-14 10:47:36 EDT
Is it a X-in-1 Cardreader? perhaps
# modprobe scsi_mod max_luns=6
helps. It worked for me.
Comment 4 Dimitry 2004-06-16 03:23:14 EDT
No, it's a simple USB flash trinket-like storage, it's not a card 
reader.
As I said:
Case 1:
Device with chip TS128MJF2A automounts on insertion as /dev/sda1 
to /mnt/flash
BUT:
Case 2:
Device with chip TS128MJF2B tries to automount also (i.e. it writes 
absolutely the same line to the /etc/fstab as in case 1), but in fact 
it COULD NOT mount. 
To mount it you have to:
- manually insert similar line to fstab, particularly 
changing /dev/sda1 to /dev/sda.
- create /mnt/flash1 directory
- mount the device

Of course, I wrote a script which does that. What I'm asking is:
1) Please try to correct this incomprehensible behaviour in the next 
releases of kernel.
2) Why those two very similar devices are treated differently by the 
kernel?
3) When working in *nix would be as pleasantly as on Mac or Windows ?
Comment 5 Dave Jones 2005-04-16 00:01:30 EDT
Fedora Core 2 has now reached end of life, and no further updates will be
provided by Red Hat.  The Fedora legacy project will be producing further kernel
updates for security problems only.

If this bug has not been fixed in the latest Fedora Core 2 update kernel, please
try to reproduce it under Fedora Core 3, and reopen if necessary, changing the
product version accordingly.

Thank you.

Note You need to log in before you can comment on or make changes to this bug.